#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Anubis
Summary:	Crypt::Anubis - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Abubis - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Anubis
Version:	1.0.4
Release:	5
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa62fb3a199063b5dff8bcbfc632338e
URL:		http://search.cpan.org/dist/Crypt-Anubis/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Anubis is a variable-length key, 128-bit block cipher designed by
Vincent Rijmen and Paulo S. L. M. Barreto. Key length can be 128, 160,
192, 224, 256, 288, or 320 bits. The default key length used in this
implementation is 128 bits (16 bytes). This module supports the
Crypt::CBC interface.

%description -l pl.UTF-8
Anubis to 128-bitowy szyfr blokowy o zmiennej długości klucza
opracowany przez Vincenta Rijmena i Paulo S. L. M. Baretto. Klucz może
mieć długość 128, 160, 192, 224, 256, 228 lub 320 bitów. Domyślna
długość klucza w tej implementacji to 128 bitów (16 bajtów). Ten moduł
obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Anubis.pm
%dir %{perl_vendorarch}/auto/Crypt/Anubis
%{perl_vendorarch}/auto/Crypt/Anubis/Anubis.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Anubis/Anubis.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Anubis.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b208c4b
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 39d586e
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf19d4
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 0934367
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 58b39c1
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2ce3928
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e180764
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dce6c17
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1df86b0
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1a68552
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 3d05966
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a0df038
- new bconds

* Sun Sep 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 917998e
- updated to 1.0.4

* Tue Jun 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 9a032ee
- new

